Macro Align Camera to Working Plane/en: Difference between revisions

From FreeCAD Documentation
(Importing a new version from external source)
 
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>


{{Macro|Icon=Text-x-python|Name=Macro Align Camera to Working Plane|Description=This macro aligns the camera to the current [[Draft SelectPlane|Draft Working Plane]] |Author=yorik|Version=0.1}}
{{Macro|Icon=Text-x-python|Name=Macro Align Camera to Working Plane|Description=This macro aligns the camera to the current [[Draft SelectPlane|Draft Working Plane]] |Author=yorik|Version=0.1|Date=2017-03-16}}


==Description==
==Description==
Line 20: Line 21:


{{clear}}
{{clear}}
<languages/>

Revision as of 21:22, 5 August 2018

File:Text-x-python Macro Align Camera to Working Plane

Description
This macro aligns the camera to the current Draft Working Plane

Macro version: 0.1
Last modified: 2017-03-16
Author: yorik
Author
yorik
Download
None
Links
Macro Version
0.1
Date last modified
2017-03-16
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Description

This macro aligns the camera to the current Draft Working Plane

How to use

Script

Macro Align Camera to Working Plane.FCMacro

import FreeCAD,FreeCADGui
c = FreeCADGui.ActiveDocument.ActiveView.getCameraNode()
r = FreeCAD.DraftWorkingPlane.getRotation().Rotation.Q
c.orientation.setValue(r)